Page MenuHomePhabricator

Re-create Armenian Wikipedia logo using a free font
Closed, InvalidPublic

Description

The current logo of the Armenian Wikipedia appears to be using a prioprietary font called Sylfaen which is currently priced at €49.00 for desktop-only use.

I don't volunteer to pay for the font, but more importantly, we have in the past agreed to only use freely-licenced fonts for our logos, for multiple reasons. This means that we will never be able to exactly reproduce the current logo, as free alternatives to the closed-source Sylfaen are necessarily different.

The problem is, freely-licenced Armenian language fonts are not exactly widely popular on the (admittedly) English-speaking Internet, so I'm not sure what font would work best to replace Sylfaen; I'm hoping @Ladsgroup, who submitted the two-high density versions of the logo to Gerrit, will be a able to assist us here.

Apart from the creation of the logo, the new version would also necessarily need to be approved by the Armenian Wikipedia community before it can be deployed on the live project, so let's use this task to track progress in this area, too.

Event Timeline

tomasz created this task.Apr 4 2018, 7:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 4 2018, 7:59 PM
tomasz triaged this task as Low priority.Apr 4 2018, 8:00 PM
DavidSaroyan added a subscriber: DavidSaroyan.EditedApr 7 2018, 6:08 AM

Hello! This is not the current logo of Armenian Wikipedia and its not based on Sylfaen. Sylfaen is a serif font, while in the logo you linked, a sans serif font is used (I guess DejaVu Sans). Another one mentioned in the comment section which is not the current logo, also does not use Sylfean; I think it's Times Armenian. The current logo is this one which uses DejaVu Serif for the title and DejaVu Sans for the description. DejaVu font family is under free license. For the Western Armenian Wikipedia logo which I recently created to support the project, I again used DejaVu Serif for both title and description.

tomasz closed this task as Invalid.Apr 8 2018, 9:21 AM